### Method

# Camel StoreDB read_folder

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_db_read_folder (
      CamelStoreDB* self,
      const gchar* folder_name,
      CamelStoreDBFolderRecord* out_record,
      GError** error
    )

#### Description [src]

Reads information about a folder named `folder_name`, previously stored by the camel_store_db_write_folder(). The data in the `out_record` should be cleared by the camel_store_db_folder_record_clear(), when no longer needed. The function returns success also when the folder information was not saved yet. It can be checked by the folder_id value, which is never zero for those existing tables.

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  Name of the folder to read the record for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_record`

  Type: `CamelStoreDBFolderRecord`

  A `CamelStoreDBFolderRecord` to read the values to.

  The argument will be set by the function.
  The returned data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded with the read, but check the non-zero-ness of the folder_id member of the `out_record` to recognize whether it was found.